Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface EncryptedKey

All Superinterfaces:
  EncryptedType

    public interface EncryptedKey

extends EncryptedType

The `EncryptedKey` element is used to transport encryption keys from the originator to a known recipient(s). It may be used as a stand-alone XML document, be placed within an application document, or appear inside an `EncryptedData` element as a child of a `ds:KeyInfo` element. The key value is always encrypted to the recipient(s). When `EncryptedKey` is decrypted the resulting octets are made available to the `EncryptionMethod` algorithm without any additional processing.

Its schema definition is as follows:

     <element name='EncryptedKey' type='xenc:EncryptedKeyType'/>
     <complexType name='EncryptedKeyType'>
         <complexContent>
             <extension base='xenc:EncryptedType'>
                 <sequence>
                     <element ref='xenc:ReferenceList' minOccurs='0'/>
                     <element name='CarriedKeyName' type='string' minOccurs='0'/>
                 </sequence>
                 <attribute name='Recipient' type='string' use='optional'/>
             </extension>
         </complexContent>
     </complexType>

Author:
  Axl Mattheus

Method Summary
`java.lang.String` | `getCarriedName()` Returns a user readable name with the key value.
`java.lang.String` | `getRecipient()` Returns a hint as to which recipient this encrypted key value is intended for.
`ReferenceList` | `getReferenceList()` Returns pointers to data and keys encrypted using this key.
`void` | `setCarriedName(java.lang.String name)` Sets the carried name.
`void` | `setRecipient(java.lang.String recipient)` Sets the recipient for this `EncryptedKey`.
`void` | `setReferenceList(ReferenceList list)` Sets the `ReferenceList` to the `EncryptedKey`.

Methods inherited from interface org.apache.xml.security.encryption.EncryptedType
`getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getId, getKeyInfo, getMimeType, getType, setEncoding, setEncryptionMethod, setEncryptionProperties, setId, setKeyInfo, setMimeType, setType`

Method Detail

### getRecipient

    java.lang.String getRecipient()

  Returns a hint as to which recipient this encrypted key value is intended for.

  Returns:
    the recipient of the `EncryptedKey`.

### setRecipient

    void setRecipient(java.lang.String recipient)

  Sets the recipient for this `EncryptedKey`.

  Parameters:
    `recipient` - the recipient for this `EncryptedKey`.

### getReferenceList

    ReferenceList getReferenceList()

  Returns pointers to data and keys encrypted using this key. The reference list may contain multiple references to `EncryptedKey` and `EncryptedData` elements. This is done using `KeyReference` and `DataReference` elements respectively.

  Returns:
    an `Iterator` over all the `ReferenceList`s contained in this `EncryptedKey`.

### setReferenceList

    void setReferenceList(ReferenceList list)

  Sets the `ReferenceList` to the `EncryptedKey`.

  Parameters:
    `list` - a list of pointers to data elements encrypted using this key.

### getCarriedName

    java.lang.String getCarriedName()

  Returns a user readable name with the key value. This may then be used to reference the key using the `ds:KeyName` element within `ds:KeyInfo`. The same `CarriedKeyName` label, unlike an ID type, may occur multiple times within a single document. The value of the key is to be the same in all `EncryptedKey` elements identified with the same `CarriedKeyName` label within a single XML document.
  Note that because whitespace is significant in the value of the `ds:KeyName` element, whitespace is also significant in the value of the `CarriedKeyName` element.

  Returns:
    over all the carried names contained in this `EncryptedKey`.

### setCarriedName

    void setCarriedName(java.lang.String name)

  Sets the carried name.

  Parameters:
    `name` - the carried name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD